Bug 1889324 - Documentation bug while configuring ipam CNI plug-in with static IP address.
Summary: Documentation bug while configuring ipam CNI plug-in with static IP address.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.5
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: ---
: 4.5.z
Assignee: Andrew Taylor
QA Contact: zhaozhanqi
Vikram Goyal
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-10-19 11:55 UTC by Niket Chavan
Modified: 2020-11-06 11:51 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-27 14:50:51 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Niket Chavan 2020-10-19 11:55:50 UTC
Document URL: 

Configure an host device network: https://docs.openshift.com/container-platform/4.5/networking/multiple_networks/configuring-host-device.html#nw-multus-static_configuring-host-device

Configure a bridge network: https://docs.openshift.com/container-platform/4.5/networking/multiple_networks/configuring-bridge.html#nw-multus-static_configuring-bridge

Configure an ipvlan network: https://docs.openshift.com/container-platform/4.5/networking/multiple_networks/configuring-ipvlan.html#nw-multus-static_configuring-ipvlan

Configure a macvlan network: https://docs.openshift.com/container-platform/4.5/networking/multiple_networks/configuring-macvlan.html#nw-multus-static_configuring-macvlan

Configure an SR-IOV network: https://docs.openshift.com/container-platform/4.5/networking/hardware_networks/configuring-sriov-net-attach.html#nw-multus-static_configuring-sriov-net-attach


Section Number and Name: 

Describe the issue: 

While configuring multiple networks, OCP provides following CNI plug-ins for creating additional networks in the cluster;

- bridge
- host-device
- ipvlan
- macvlan
- sr-iov

For each of the above types, we have provided steps for configuring ipam CNI plug-in with static IP address assignment and there is a bug in that section.

Above, I have provided direct URL for each of the CNI plug-ins where the bug is there.


The bug is, in the static IP assignment section, below configuration is mentioned;

    "routes": [ 
      {
        "dst": "<dst>" 
        "gw": "<gw>" 
      }
    ],


In the above configuration, a comma ","  after adding the 'dst' is missing. It should be ;


    "routes": [ 
      {
        "dst": "<dst>", <--------
        "gw": "<gw>" 
      }
    ],



Customer copied the configuration from the doc and replaced the values (like <dst> <gw> etc values) and then it resulted in issues like 'net-attach-def' NOT getting auto created, 'network' operator goes in degraded state etc.

Adding the missing comma, resolved all the issues.


Suggestions for improvement: 
Already mentioned above.

Additional information:

Comment 2 Andrew Taylor 2020-10-26 15:57:51 UTC
Hi Niket,

I've filed a bug here: https://github.com/openshift/openshift-docs/pull/26713

Our docs are modularized, meaning that one section of code is duplicated in all 5 sections - so I only have to add one comma to fix it in all locations. 

Zhanqi Zhao, please take a look at the pull request. I believe this is a sane 1-character fix. Thanks!

Comment 3 Andrew Taylor 2020-10-27 13:41:33 UTC
Changes are now merged; setting release pending until changes are live.


Note You need to log in before you can comment on or make changes to this bug.